function moonage(d, m, y)
{
   var j;
   var ip, ag;
   j = juliandate(d, m, y);
   ip = (j + 4.867) / 29.53059;
   ip = ip - Math.floor(ip);
   if(ip < 0.5)
   {
      ag = ip * 29.53059 + 29.53059 / 2;
   }
   else
   {
      ag = ip * 29.53059 - 29.53059 / 2;
   }
   ag = Math.floor(ag) + 1;
   return ag;
}

function juliandate ( d, m, y )
{
   var d, m, y;
   var mm,  yy;
   var k1, k2, k3;
   var j;
   yy = y - Math.floor((12 - m) / 10);
   mm = m + 9;
   if (mm >= 12)
   {
      mm = mm - 12;
   }
   k1 = Math.floor(365.25 * (yy + 4712));
   k2 = Math.floor(30.6001 * mm + 0.5);
   k3 = Math.floor(Math.floor((yy / 100) + 49) * 0.75) - 38;
   j = k1 + k2 + d + 59;
   if (j > 2299160)
   {
      j = j - k3;
   }
   return j ;
}


function widgetOnLoad()
{
      var today = new Date();
    var age = moonage(today.getDate(), today.getMonth(), today.getYear());
    print(age);
    moon.Src = 'Phases\\' + age +'.png';
}


function openOnDblClick(Sender)
{
  layer1.visible = true;
  layer2.visible = false;
  layer3.visible = false;
}

function button1OnClick(Sender)
{
  layer1.visible = false;
  layer2.visible = true;
  layer3.visible = false;
}

function exit1OnClick(Sender)
{
  layer1.visible = false;
  layer2.visible = false;
  layer3.visible = false;
}

function button2OnClick(Sender)
{
  layer1.visible = true;
  layer2.visible = false;
  layer3.visible = false;
}

function button3OnClick(Sender)
{
  layer1.visible = false;
  layer2.visible = false;
  layer3.visible = true;
}

function exit2OnClick(Sender)
{
  layer1.visible = false;
  layer2.visible = false;
  layer3.visible = false;
}

function button4OnClick(Sender)
{
  layer1.visible = false;
  layer2.visible = true;
  layer3.visible = false;
}

function exit3OnClick(Sender)
{
  layer1.visible = false;
  layer2.visible = false;
  layer3.visible = false;
}
